Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.enterprise.control
Class RPCMethodResponse

    java.lang.Object
      org.deegree.enterprise.control.RPCMethodResponse

    public class RPCMethodResponse

extends Object

The class encapsulates the result to a RPC. This can be an object or an instance of `RPCFault` if an exception occured while performing a RPC

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth

Constructor Summary
`RPCMethodResponse(RPCFault fault)`
`RPCMethodResponse(RPCParameter[] return_)`

Method Summary
`RPCFault` | `getFault()` returns the fault object if a fault occured while performing a RPC
`RPCParameter[]` | `getReturn()` returns the result of a method call as array of `RPCParameter`s
`boolean` | `hasFault()` returns true if the result contains a fault and not the expected data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RPCMethodResponse

    RPCMethodResponse(RPCParameter[] return_)

### RPCMethodResponse

    RPCMethodResponse(RPCFault fault)

Method Detail

### hasFault

    public boolean hasFault()

  returns true if the result contains a fault and not the expected data

  Returns:
    true if a fault occured

### getReturn

    public RPCParameter[] getReturn()

  returns the result of a method call as array of `RPCParameter`s

  Returns:
    result parameters

### getFault

    public RPCFault getFault()

  returns the fault object if a fault occured while performing a RPC

  Returns:
    fault object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org